---
Title: "Support files for Understanding Doctor Decision Making: The Case of Depression Treatment"
Author: "JM Currie and WB MacLeod"
Created: 2019-10-05
Last Edit: 2019-10-13
Description: "Simulation code and information on regressions for Currie-Macleod paper on Doctor Decision"
---
# ReadMe

This directory contains the files for producing the simulation results.

These files were produced using v 1.2 of Julia (code should work with any version)

1. Check run parameters in RunDoctorSim-v2.jl - change as desired.

2. This code includes the file DoctorSim-v2.jl.  Check the header on this 
file and make sure the needed packages for Julia are installed.

3. run: "julia RunDoctorSim-v2.jl"

4. This outputs two files:

  - 4.a "CM-Sim-v2.md" with the simulation parameters.
  - 4.b "CM-Sim-v2.csv"  is the simulation data.
  
5. The simulation data is read by "CM-Sim-Graphs.Rmd" and used to produce two graphs and html file.

  - This is easiest to use in Rstudio.  Just render the file.
  - One can use file "render.sh file.Rmd" on any linux machine with R installed.
  
  It produces:
  A. CM-Sim-v2.html with graphs
  B. SummaryStats.csv file with statistics on the simulation.
  C. Uncommenting the appropriate ggplot commands produces files:
     E-56-3-years.pdf
     U-56-3-years.pdf.
  These are the graphs used in the paper.
